Bug 382481 - New Compress::Zlib package seems to break amavisd-new
New Compress::Zlib package seems to break amavisd-new
Product: Fedora
Classification: Fedora
Component: perl-Compress-Zlib (Show other bugs)
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Marcela Mašláňová
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2007-11-14 09:19 EST by Sven van Heel
Modified: 2008-03-07 10:29 EST (History)
3 users (show)

See Also:
Fixed In Version: perl-5.8.8-36.fc8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-03-07 10:29:42 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Sven van Heel 2007-11-14 09:19:12 EST
After upgrading my existing Fedora 7 installation to Fedora 8 (with the
yum-method, might be the problem?), amavisd-new seems to be broken.

Starting amavisd-new with 'service amavisd start' gives the following error:
# service amavisd start
BEGIN failed--compilation aborted at /usr/sbin/amavisd line 171.

The package perl-Compress-Zlib (which provides the module Compress::Zlib) is

After downgrading the package (version 2.005 on Fedora 8) to the Fedora 7
version (1.42) amavisd-new starts without a problem.

After Googling around, the problem seems to be related to the Scalar::Util (used
by Compress::Zlib and in the main perl-package) being in XS or non-XS mode.
Unfortunately I'm not expert enough to understand what the real problem is.

To reproduce:
Install perl-Compress-Zlib-2.005-2.fc8 from Fedora 8 and start amavisd-new
(package: amavisd-new-2.5.2-2.fc8).
Install perl-Compress-Zlib-1.42-1.fc6 from Fedora 7 and start amavisd-new
(package: amavisd-new-2.5.2-2.fc8).
Comment 1 Gutierrez, Carlos M. 2007-12-17 13:55:44 EST
My MailScanner installation broke upon upgrading to FC8 because of exactly this
same bug in Scalar::Util . This is what I got when starting MailScanner:

Starting MailScanner...
 is only avaliable with the XS version at
/usr/lib/perl5/vendor_perl/5.8.8/Compress/Zlib.pm line 9
BEGIN failed--compilation aborted at
line 9.
Compilation failed in require at /usr/lib/perl5/vendor_perl/5.8.8/Archive/Zip.pm
line 24.
BEGIN failed--compilation aborted at
/usr/lib/perl5/vendor_perl/5.8.8/Archive/Zip.pm line
Compilation failed in require at /usr/lib/MailScanner/MailScanner/Message.pm
line 48.
BEGIN failed--compilation aborted at /usr/lib/MailScanner/MailScanner/Message.pm
line 48.
Compilation failed in require at /usr/sbin/MailScanner line 79.
BEGIN failed--compilation aborted at /usr/sbin/MailScanner line 79.

This URL seems particularly enlightening:

A satisfactory workaround is to get Scalar::Util via CPAN and "force install" it
as explained in the URL above.
Comment 2 Mike Iglesias 2008-02-22 11:15:34 EST
This is still broken in the Fedora 8 perl update perl-5.8.8-33.fc8 which was
released a couple of days ago.
Comment 3 Marcela Mašláňová 2008-02-27 04:16:51 EST
I'm curious, if you have Scalar::Util from cpan or from rpm. In cpan is newer
version, which seems to me broke packages.
Comment 4 Mike Iglesias 2008-02-29 13:45:50 EST
It was broken with the rpm, fixed with a cpan forced install of Scalar::Util.
Comment 5 Marcela Mašláňová 2008-03-07 10:29:42 EST
The package perl-5.8.8-36 upgrade the Scalar::Util on the latest version. The
problem with XS support, weaken and other functions provided by Scalar::Util
should be fixed by this update.
If you problem persist, please feel free to reopen the bug.

Note You need to log in before you can comment on or make changes to this bug.